Bug 118479 - [Mac] [WK1] fast/repaint/fixed-right-in-page-scale.html asserts or fails
Summary: [Mac] [WK1] fast/repaint/fixed-right-in-page-scale.html asserts or fails
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.7
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-08 12:10 PDT by David Farler
Modified: 2014-12-09 23:31 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Farler 2013-07-08 12:10:30 PDT
After 151803 and 151804, fast/repaint/fixed-right-in-page-scale.html crashes on Lion WK1 Tests.

First occurrence: http://build.webkit.org/builders/Apple%20Lion%20Debug%20WK1%20%28Tests%29/builds/9320

I'm not sure which of these two commits is causing the crash and if they are dependent, so I'll be skipping this test on Lion while this is fixed.
Comment 1 David Farler 2013-07-08 12:16:56 PDT
Committed r152461 to skip the test on Lion.
Comment 2 David Farler 2013-07-08 12:18:28 PDT
This is Lion WK1.
Comment 3 David Farler 2013-07-08 13:03:34 PDT
Actually, this is Lion and Mountain Lion WK1.

Committed r152463 to bring the expectation up from mac-lion to mac and marked the test as Pass Crash.
Comment 4 Simon Fraser (smfr) 2013-07-08 13:25:07 PDT
This is
ASSERTION FAILED: m_repaintRect == renderer()->clippedOverflowRectForRepaint(renderer()->containerForRepaint())
Comment 5 Simon Fraser (smfr) 2013-10-28 11:38:45 PDT
It's also showing image failures on Mavericks.
Comment 6 Tim Horton 2013-11-13 13:30:42 PST
http://trac.webkit.org/changeset/159218 seems to have fixed the crash, so Iā€™m going to remove that part of the expectation
Comment 7 Alexey Proskuryakov 2014-12-09 23:31:30 PST
This test doesn't appear to fail any more, will try removing the remaining expectation.